#### D.15.4.18 difformDiv

Procedure from library `difform.lib` (see difform_lib).

Usage:
  df/dg; df,dg difform

Return:
  the quotient df/dg as differential form

Example:

    LIB "difform.lib";
    ring R = 0,(x,y,z),lp;
    diffAlgebra();
    ==> // The differential algebra Omega_R was constructed and the differential \
       forms dDx, dDy, dDz, dx, dy, dz are available.
    /////////////////////////////////
    // Divisions without remainder //
    /////////////////////////////////
    dx / dx;
    ==> 1
    ==>
    dx*dy*dz / dz;
    ==> dx*dy
    ==>
    (dx*x2 - yx2) / x2;
    ==> -y+dx
    ==>
    //////////////////////////////
    // Divisions with reaminder //
    //////////////////////////////
    (dx + dx*dy + 1) / dx;
    ==> 1+(-1)*dy
    ==>
    (x2*dx - x*dy) / (dx-dy);
    ==> x2
    ==>
    kill Omega_R,dx,dy,dz;

See also: difformMul.

User manual for Singular version 4.4.1, 2025, generated by texi2html.